JNA API 3.3.0

## com.sun.jna.platform.win32
Enum Advapi32Util.EventLogType

    java.lang.Object
      java.lang.Enum<Advapi32Util.EventLogType>
          com.sun.jna.platform.win32.Advapi32Util.EventLogType

All Implemented Interfaces:
  Serializable, Comparable<Advapi32Util.EventLogType>

Enclosing class:
  Advapi32Util

    public static enum Advapi32Util.EventLogType

extends Enum<Advapi32Util.EventLogType>

Event log types.

Enum Constant Summary
`AuditFailure`
`AuditSuccess`
`Error`
`Informational`
`Warning`

Method Summary
`static Advapi32Util.EventLogType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Advapi32Util.EventLogType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Error

    public static final Advapi32Util.EventLogType Error

### Warning

    public static final Advapi32Util.EventLogType Warning

### Informational

    public static final Advapi32Util.EventLogType Informational

### AuditSuccess

    public static final Advapi32Util.EventLogType AuditSuccess

### AuditFailure

    public static final Advapi32Util.EventLogType AuditFailure

Method Detail

### values

    public static Advapi32Util.EventLogType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Advapi32Util.EventLogType c : Advapi32Util.EventLogType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Advapi32Util.EventLogType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.